############################################################################
# Joshua R. Boverhof, LBNL
# See Copyright for copyright notice!
###########################################################################
import ConfigParser, unittest
from pyGridWare import wsdl

"""
Unittest for the Wsdl class
"""

#The config file is ../../test/config.py
config = None # ConfigParser object

class WsdlTest(unittest.TestCase):
    "Test case for wsdl.Wsdl"

    def setUp(self):
        return

    def tearDown(self):
        return

    def checkWsdlExamples(self):
        for url in eval(config.get("wsdl", "examples_urls")):
            print "Examples Wsdl: ", url
            ws = wsdl.Wsdl(url)
	    del ws

    def checkWsdlGlobus(self):
        for url in eval(config.get("wsdl", "globus_urls")):
            print "Globus Wsdl: ", url
            ws = wsdl.Wsdl(url)
	    del ws

    def checkWsdlXmethods(self):
        for url in eval(config.get("wsdl", "xmethods_urls")):
            print "Xmethods Wsdl: ", url
            ws = wsdl.Wsdl(url)
	    del ws

def makeTestSuite():
    suite = unittest.TestSuite()
    suite.addTest(unittest.makeSuite(WsdlTest, "checkWsdl"))
    return suite

def main():
    unittest.main(defaultTest="makeTestSuite")

if __name__ == "__main__" : main()
    
                  

