#!/usr/bin/python2.2

import time
from controller import Controller, Event
from view import View


print "driver: in"

# Construct the controller
con = Controller()
con.start()

# A view class
view = View()
keithID = 0
ksbID = 1
mattID = 2
joshID = 3

# A bunch of events
keithEvent = Event(keithID)
ksbEvent   = Event(ksbID)
mattEvent  = Event(mattID)
joshEvent  = Event(joshID)

# register listeners with the controller
con.registerListener(keithID, view.callKeith)
con.registerListener(ksbID,   view.callKsb)
con.registerListener(ksbID,   view.callKeith)
con.registerListener(mattID,  view.callMatt)
con.registerListener(joshID,  view.callJosh)

# Start posting events to the controller
con.postEvent(keithEvent)
#print "driver: sleeping 1.5 sec"
time.sleep(1.5)

con.postEvent(joshEvent)
#print "driver: sleeping 1 sec"
time.sleep(1)

con.postEvent(ksbEvent)
#print "driver: sleeping 0.1 sec"
time.sleep(0.1)

con.postEvent(mattEvent)
#print "driver: sleeping 3 sec"
time.sleep(3)

print "driver: out"
