############################################################################
# Joshua R. Boverhof, LBNL
# See Copyright for copyright notice!
###########################################################################
from pyGridWare.test import test_Typecodes
import ConfigParser, unittest

"""
Unittest for the wsdl module.
"""

#The config file is ../../test/config.py
config = None # ConfigParser object

def makeTestSuite():
    #global config
    if config == None:
        raise RuntimeError, 'config not set'
        
    test_Typecodes.config = config
    suite = unittest.TestSuite()
    suite.addTest(test_Typecodes.makeTestSuite())
    return suite

def main():
    global config
    if config == None:
        config = ConfigParser.ConfigParser()
        config.read("../../test/config.py")
    else:
        raise RuntimeError, 'config set'

    test_Typecodes.config = config
    unittest.main(defaultTest="makeTestSuite")


if __name__ == "__main__" : main()
    
                  

