############################################################################
# Joshua R. Boverhof, LBNL
# See Copyright for copyright notice!
###########################################################################
import unittest, ConfigParser
from pyGridWare.test import test_wsdl, test_typecodes

def makeTestSuite():
    suite = unittest.TestSuite()
    suite.addTest(test_wsdl.makeTestSuite())
    suite.addTest(test_typecodes.makeTestSuite())
    return suite

def main():
    cp = ConfigParser.ConfigParser()
    cp.read("config.py")
    test_wsdl.config = cp
    test_typecodes.config = cp

    unittest.main(defaultTest="makeTestSuite")


if __name__ == "__main__" : main()
    

